org.fourthline.cling.support.lastchange

## Enum LastChangeParser.CONSTANTS

- java.lang.Object
- - java.lang.Enum<LastChangeParser.CONSTANTS>
  - - org.fourthline.cling.support.lastchange.LastChangeParser.CONSTANTS

- All Implemented Interfaces:
    Serializable, Comparable<LastChangeParser.CONSTANTS>
  Enclosing class:
    LastChangeParser

      public static enum LastChangeParser.CONSTANTS
      extends Enum<LastChangeParser.CONSTANTS>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Event`
    `InstanceID`
    `val`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(String s)`
    `static LastChangeParser.CONSTANTS` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LastChangeParser.CONSTANTS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Event

          public static final LastChangeParser.CONSTANTS Event

    - #### InstanceID

          public static final LastChangeParser.CONSTANTS InstanceID

    - #### val

          public static final LastChangeParser.CONSTANTS val

  - ### Method Detail

    - #### values

          public static LastChangeParser.CONSTANTS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LastChangeParser.CONSTANTS c : LastChangeParser.CONSTANTS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LastChangeParser.CONSTANTS valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### equals

          public boolean equals(String s)

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.